import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  server: {
    hmr: {
      host: 'localhost',
    },
    watch: {
      usePolling: true,
    },
  },
  build: {
    outDir: 'assets/dist',
    rollupOptions: {
      input: 'assets/js/main.js',
      output: {
        entryFileNames: 'main.js',
        assetFileNames: 'main.css'
      }
    }
  }
})
